cascading.tuple.hadoop.io

## Class KeyTupleSerializer

- java.lang.Object
- - cascading.tuple.hadoop.io.KeyTupleSerializer

All Implemented Interfaces:
  Serializer<KeyTuple>

    public class KeyTupleSerializer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`KeyTupleSerializer(TupleSerialization.SerializationElementWriter elementWriter)`

### Method Summary

Methods
`void` `close()`
`void` `open(java.io.OutputStream out)`
`void` `serialize(T tuple)`
`protected void` `setWriters(Fields fields)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyTupleSerializer

    public KeyTupleSerializer(TupleSerialization.SerializationElementWriter elementWriter)

### Method Detail

#### setWriters

    protected void setWriters(Fields fields)

#### open

    public void open(java.io.OutputStream out)

Specified by:
  `open` in interface `Serializer<T extends Tuple>`

#### serialize

    public void serialize(T tuple)
                   throws java.io.IOException

Specified by:
  `serialize` in interface `Serializer<T extends Tuple>`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `Serializer<T extends Tuple>`
Throws:
  `java.io.IOException`